# Generated by Django 2.0.7 on 2018-07-11 02:48

import computed_property.fields
from django.db import migrations, models
import users.models


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0013_auto_20180323_1200'),
    ]

    operations = [
        migrations.AlterField(
            model_name='profile',
            name='display_name',
            field=models.CharField(
                blank=True, help_text='overrides the username for display - useful for sites that use ugly IDs', max_length=100),
        ),
        migrations.AlterField(
            model_name='profile',
            name='username',
            field=models.CharField(
                help_text="the user's actual handle or ID on the remote site", max_length=100),
        ),
        migrations.AlterField(
            model_name='user',
            name='avatar',
            field=models.ImageField(
                help_text='an avatar or photo that represents this user', upload_to=users.models.avatar_path),
        ),
        migrations.AlterField(
            model_name='user',
            name='email_md5',
            field=computed_property.fields.ComputedCharField(
                compute_from='calc_email_md5', editable=False, help_text="MD5 hash of the user's email, used for Libravatar", max_length=32, unique=True),
        ),
        migrations.AlterField(
            model_name='user',
            name='email_sha256',
            field=computed_property.fields.ComputedCharField(
                compute_from='calc_email_sha256', editable=False, help_text="SHA-256 hash of the user's email, used for Libravatar", max_length=64, unique=True),
        ),
        migrations.AlterField(
            model_name='user',
            name='last_name',
            field=models.CharField(
                blank=True, max_length=150, verbose_name='last name'),
        ),
        migrations.AlterField(
            model_name='user',
            name='note',
            field=models.TextField(
                blank=True, help_text='a bio or short description provided by the user'),
        ),
        migrations.AlterField(
            model_name='user',
            name='xmpp',
            field=models.EmailField(
                blank=True, help_text='an XMPP address through which the user may be reached', max_length=254),
        ),
    ]
